MONGOC_DATABASE_ADD_USER(3)

NAME
mongoc_database_add_user() - This function shall create a new user with access to database.

SYNOPSIS

bool
mongoc_database_add_user (mongoc_database_t *database,
                          const char        *username,
                          const char        *password,
                          const bson_t      *roles,
                          const bson_t      *custom_data,
                          bson_error_t      *error);

PARAMETERS

database
    A mongoc_database_t \&.

username
    The name of the user.

password
    The cleartext password for the user.

roles
    An optional bson_t for roles.

custom_data
    A optional bson_t for extra data.

error
    A location for a bson_error_t or NULL \&.

This function shall create a new user with access to database \&.

This function handles the difference between MongoDB 2.4 and 2.6 \&.

ERRORS

Errors are returned through the error parameter and can include socket or other server side failures.

RETURNS

This function shall return true if the user was successfully added. In the event of an error, it returns false and error is set.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.